#### 7.10.2.10 crystallographicGroupP2MM

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  crystallographicGroupP2MM(d); d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - p2mm group with the following presentation
  < x, y, p, q | [x, y] = [p, q] = p^2 = q^2 = 1, p^(-1)*x*p = x, q^(-1)*x*q = x^(-1), p^(-1)*y*p = y^(-1), q^(-1)*y*q = y > - d gives the degreebound for the Letterplace ring

Example:

    LIB "fpalgebras.lib";
    def R = crystallographicGroupP2MM(5); setring R;
    I;
    ==> I[1]=y*x+x*y+1
    ==> I[2]=q*p+p*q+1
    ==> I[3]=p*p+1
    ==> I[4]=q*q+1
    ==> I[5]=p*y*p+Y
    ==> I[6]=p*x*p+x
    ==> I[7]=q*y*q+y
    ==> I[8]=q*x*q+X
    ==> I[9]=X*x+1
    ==> I[10]=x*X+1
    ==> I[11]=Y*y+1
    ==> I[12]=y*Y+1
    ==> I[13]=y*x+x*y+p*p
    ==> I[14]=y*x+x*y+q*q
    ==> I[15]=p*p+q*q

User manual for Singular version 4.4.1, 2025, generated by texi2html.